Bug 6274 - silent bootsplash support
: silent bootsplash support
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/startup)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
: 6275
:
  Show dependency tree
 
Reported: 2005-03-17 18:11 by
Modified: 2005-07-13 15:47 (History)


Attachments
startup-0.9.3-bootsplash-silent.patch (3.79 KB, patch)
2005-03-17 18:13, Anton Farygin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-17 18:11:26
Необходимо в functions добавить функции для инициализации bootsplash'а.
------- Comment #1 From 2005-03-17 18:12:01 -------
Т.е. - конечно же в rc скрипты - использование этих функций.
------- Comment #2 From 2005-03-17 18:13:28 -------
Created an attachment (id=772) [details]
startup-0.9.3-bootsplash-silent.patch

патч добавляет инициализацию bootsplash'а (silent режима) и изменение
progress'а в зависимости от выполняемых действий.
------- Comment #3 From 2005-03-18 15:47:06 -------
Странненький патч какой-то, пустые строки добавляет/удаляет, изменения не
откомментированы совершенно.
------- Comment #4 From 2005-03-18 19:59:59 -------
Да, пустые строки - это конечно плохо.

А комментировать изменения.. там собственно и комментировать нечего.

initsplash - инициализация splash'а

rc_splash start 1
- вызов rc_splash где start - название этапа, а 1 - его номер. (количество
этапов rc.sysinit жестко провязано в функции initsplash)
------- Comment #5 From 2005-03-22 14:51:05 -------
Applied with corrections in startup-0.9.5-alt1